//
// Pager pagination
// --------------------------------------------------


.pager {
  padding-left: 0;
  margin: $line-height-computed 0;
  list-style: none;
  text-align: center;
  @include clearfix;
  li {
    display: inline;
    margin-left: -1px;
    > a,
    > span {
      display: inline-block;
    }

    > a:hover,
    > a:focus {
      text-decoration: none;
    }
  }

  .next {
    > a,
    > span {
      float: right;
    }
  }

  .previous {
    > a,
    > span {
      float: left;
    }
  }

  .disabled {
    > a,
    > a:hover,
    > a:focus,
    > span {
      color: $pager-disabled-color;
      background-color: $pager-bg;
      cursor: $cursor-disabled;
    }
  }
}


.pager__item a {
  position: relative;
  width: 30px;
  height: 17.32px;
  margin: 8.66px 0;
  border-left: solid 1px $gray;
  border-right: solid 1px $gray;
  color: $gray;
  line-height: 1.2;
}

.pager__item a:before,
.pager__item a:after {
  content: "";
  position: absolute;
  z-index: -1;
  width: 21.21px;
  height: 21.21px;
  -webkit-transform: scaleY(0.5774) rotate(-45deg);
  -ms-transform: scaleY(0.5774) rotate(-45deg);
  transform: scaleY(0.5774) rotate(-45deg);
  left: 3.3934px;
}

.pager__item a:before {
  top: -10.6066px;
  border-top: solid 1.4142px $gray;
  border-right: solid 1.4142px $gray;
}

.pager__item a:after {
  bottom: -10.6066px;
  border-bottom: solid 1.4142px $gray;
  border-left: solid 1.4142px $gray;
}

.pager__item.is-active a,
.pager__item a:hover,
.pager__item.is-active a:after,
.pager__item a:hover:after,
.pager__item.is-active a:before,
.pager__item a:hover:before {
  color: black;
  border-color: black;
  background-color: $gray-lighter;
}

.pager__item--next a,
.pager__item--last a,
.pager__item--previous a,
.pager__item--first a {
  color: $gray;
  font-size: small;
  text-transform: uppercase;
  margin-left: 2em;
}
.pager__item--previous a,
.pager__item--first a {
  margin-left: 0;
  margin-right: 2em;
}
